Bug 88422 - New port mail/ask: spam filter
Summary: New port mail/ask: spam filter
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-03 00:40 UTC by Marcelo Araujo
Modified: 2005-11-11 21:23 UTC (History)
1 user (show)

See Also:


Attachments
pkg-descr (160 bytes, text/plain)
2005-11-03 00:40 UTC, Marcelo Araujo
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcelo Araujo 2005-11-03 00:40:15 UTC

Don't you hate Spam? These days, Spam has become a major nuisance for
anybody with an email account. Spammers harvest email addresses from
various sources, including WHOIS records (for those who own a domain),
HTML archives of mailing-lists, personal web pages and many other places.
Those emails addresses are then used to send an unpleasant amount of
equally unpleasant emails to all victims.

There are many traditional approaches to avoiding spam. The most common
approach is based on "content-filtering": a program that attempts to
classify incoming mails based on their content. This works partially,
but in reality, it's somewhat easy to find ways around it.

ASK takes advantage of the fact that most spammers use invalid or fake
"From:" address in their messages. When a new message arrives and the
sender is unknown, ASK sends a "confirmation message" back, informing
the sender that the original message has been queued, pending confirmation.
When the sender confirms (a simple reply), ASK delivers the original
message and adds the sender to a "whitelist". Further messages from this
sender will be immediately delivered. It is also possible to ignore
messages based on specific criteria, like sender's email, subject and so on.

Fix: MD5 (ask-2.4.1.tar.gz) = 91de4625710755e76d7f44e32d5fd763
SIZE (ask-2.4.1.tar.gz) = 102631
--- distinfo ends here ---


ask/COPYING
ask/ChangeLog
ask/TODO
ask/ask.py
ask/askconfig.py
ask/ask-2.4.1-1.spec
ask/asklock.py
ask/asklog.py
ask/askmail.py
ask/askmain.py
ask/askmessage.py
ask/askremote.py
ask/asksetup.py
ask/askversion.py
ask/templates/blacklist_da.txt
ask/templates/blacklist_de.txt
ask/templates/blacklist_en.txt
ask/templates/blacklist_es.txt
ask/templates/blacklist_fr.txt
ask/templates/blacklist_it.txt
ask/templates/blacklist_nl.txt
ask/templates/blacklist_ptbr.txt
ask/templates/blacklist_fi.txt
ask/templates/confirm_da.txt
ask/templates/confirm_de.txt
ask/templates/confirm_en.txt
ask/templates/confirm_es.txt
ask/templates/confirm_fi.txt
ask/templates/confirm_fr.txt
ask/templates/confirm_it.txt
ask/templates/confirm_nl.txt
ask/templates/confirm_ptbr.txt
%%PORTDOCS%%share/doc/ask/utils/asksenders.py
%%PORTDOCS%%share/doc/ask/docs/ask.py.1
%%PORTDOCS%%share/doc/ask/docs/ask_doc.css
%%PORTDOCS%%share/doc/ask/docs/ask_doc.html
%%PORTDOCS%%share/doc/ask/docs/ask_doc.pdf
%%PORTDOCS%%share/doc/ask/docs/ask_doc.txt
%%PORTDOCS%%share/doc/ask/docs/asksenders.py.1
%%PORTDOCS%%share/doc/ask/docs/asksetup.py.1
%%PORTDOCS%%share/doc/ask/docs/askversion.py.1
ask/samples/blacklist.txt
ask/samples/ignorelist.txt
ask/samples/sample_askrc
ask/samples/whitelist.txt

@dirrm share/doc/ask/docs
@dirrm share/doc/ask/utils
@dirrm share/doc/ask
@dirrm ask/samples
@dirrm ask/templates
@dirrm ask
--- pkg-plist ends here -----wvl8Nxx8EQTD84os9SwDxL6cBzBHF4Agm7aPfV0nO7t8MWJa
Content-Type: text/plain; name="Makefile"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="Makefile"

# New ports collection makefile for: ask
# Date created: 2 November 2005
# Whom:                Marcelo Araujo <araujobsd@hotmail.com>
#
# $FreeBSD$
#

PORTNAME=      ask
PORTVERSION=   2.4.1
CATEGORIES=    mail
MASTER_SITES= ${MASTER_SITE_SOURCEFORGE}
MASTER_SITE_SUBDIR= a-s-k
DISTNAME= ${PORTNAME}-${PORTVERSION}

MAINTAINER=    araujobsd@hotmail.com
COMMENT=       ASK - Anti Spam Killer content filtering

BUILD_DEPENDS+= ${LOCALBASE}/bin/python2.2:${PORTSDIR}/lang/python22
RUN_DEPENDS= ${BUILD_DEPENDS}
WRKSRC= ${WRKDIR}/${DISTNAME}
EXAMPLEDIR= ask
NO_BUILD= yes

do-install:
	${MKDIR} ${PREFIX}/${EXAMPLEDIR}
	${INSTALL_SCRIPT} ${WRKSRC}/COPYING ${PREFIX}/${EXAMPLEDIR}
	${INSTALL_SCRIPT} ${WRKSRC}/ChangeLog ${PREFIX}/${EXAMPLEDIR}
	${INSTALL_SCRIPT} ${WRKSRC}/TODO ${PREFIX}/${EXAMPLEDIR}
	${INSTALL_SCRIPT} ${WRKSRC}/ask.py ${PREFIX}/${EXAMPLEDIR}
	${INSTALL_SCRIPT} ${WRKSRC}/askconfig.py ${PREFIX}/${EXAMPLEDIR}
	${INSTALL_SCRIPT} ${WRKSRC}/ask-2.4.1-1.spec ${PREFIX}/${EXAMPLEDIR}
	${INSTALL_SCRIPT} ${WRKSRC}/asklock.py ${PREFIX}/${EXAMPLEDIR}
	${INSTALL_SCRIPT} ${WRKSRC}/asklog.py ${PREFIX}/${EXAMPLEDIR}
	${INSTALL_SCRIPT} ${WRKSRC}/askmail.py ${PREFIX}/${EXAMPLEDIR}
	${INSTALL_SCRIPT} ${WRKSRC}/askmain.py ${PREFIX}/${EXAMPLEDIR}
	${INSTALL_SCRIPT} ${WRKSRC}/askmessage.py ${PREFIX}/${EXAMPLEDIR}
	${INSTALL_SCRIPT} ${WRKSRC}/askremote.py ${PREFIX}/${EXAMPLEDIR}
	${INSTALL_SCRIPT} ${WRKSRC}/asksetup.py ${PREFIX}/${EXAMPLEDIR}
	${INSTALL_SCRIPT} ${WRKSRC}/askversion.py ${PREFIX}/${EXAMPLEDIR}
	${CP} -R ${WRKSRC}/samples ${PREFIX}/${EXAMPLEDIR}
	${CP} -R ${WRKSRC}/templates ${PREFIX}/${EXAMPLEDIR}
	@${ECHO_MSG} " "
	@${ECHO_MSG} " "
	@${ECHO_MSG} "************************************************"
	@${ECHO_MSG} "    ASK - Anti Spam Killer install sucesfull "
	@${ECHO_MSG} "    - DOCS: /usr/local/share/doc/ask" 
	@${ECHO_MSG} "    Bugs: araujobsd@hotmail.com" 
	@${ECHO_MSG} "************************************************"
	@${ECHO_MSG} " "
post-install:
.if !defined(NOPORTDOCS)
	${MKDIR} ${PREFIX}/share/doc/ask
	${CP} -R ${WRKSRC}/docs ${PREFIX}/share/doc/ask
	${CP} -R ${WRKSRC}/utils ${PREFIX}/share/doc/ask
.endif

.include <bsd.port.mk>
Comment 1 Edwin Groothuis freebsd_committer 2005-11-03 01:03:04 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (new ports should be change-requests)
Comment 2 Edwin Groothuis freebsd_committer 2005-11-03 03:23:28 UTC
State Changed
From-To: open->closed

Superseeded by ports/88423 (now stop spamming :-)
Comment 3 Edwin Groothuis freebsd_committer 2005-11-03 03:31:28 UTC
State Changed
From-To: closed->open

open again, other one was closed by linimon@
Comment 4 Pav Lucistnik freebsd_committer 2005-11-11 21:22:43 UTC
State Changed
From-To: open->closed

New port added, with modifications.